Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 20b228a04f4a168d0b7e3cb69806458b017c59a5)
+++ sansview/perspectives/fitting/basepage.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
@@ -2568,4 +2568,5 @@
         self._draw_model()
 
+
     def on_model_help_clicked(self,event):
         """
@@ -2573,5 +2574,9 @@
         """
         from help_panel import  HelpWindow
-        
+        import sans.models as models 
+        
+        # Get models help model_function path
+        path = models.get_data_path(media='media')
+        model_path = os.path.join(path,"model_functions.html")
         if self.model == None:
             name = 'FuncHelp'
@@ -2579,5 +2584,5 @@
             name = self.model.origin_name
 
-        frame = HelpWindow(None, -1,  pageToOpen="media/model_functions.html")    
+        frame = HelpWindow(None, -1,  pageToOpen=model_path)    
         frame.Show(True)
         if frame.rhelp.HasAnchor(name):
@@ -2586,4 +2591,5 @@
            msg= "Model does not contains an available description "
            msg +="Please try searching in the Help window"
-           wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))                    
+           wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))      
+                    
                 
Index: sansview/perspectives/fitting/help_panel.py
===================================================================
--- sansview/perspectives/fitting/help_panel.py	(revision 5062bbf9abf800e4b5ffab0375da1c4a03967672)
+++ sansview/perspectives/fitting/help_panel.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
@@ -48,4 +48,10 @@
         self.lhelp = html.HtmlWindow(lpanel, -1, style=wx.NO_BORDER)
         self.rhelp = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER, size=(500,-1))
+
+        import sans.models as models 
+        # get the media path
+        path = models.get_data_path(media='media')
+        self.path = os.path.join(path,"model_functions.html")
+                    
         page1="""<html>
             <body>
@@ -64,8 +70,9 @@
             <li><a href ="media/model_use_help.html" target ="showframe">Visualize Model</a><br></li>
             <li><a href ="media/averaging_help.html" target ="showframe">Data Averaging</a><br></li>
-            <li><a href ="media/model_functions.html" target ="showframe">Model Functions</a><br></li>
+            <li><a href ="%s" target ="showframe">Model Functions</a><br></li>
             </ul>
             </body>
-            </html>"""
+            </html>""" % self.path
+        
         self.rhelp.SetPage(page1)
         self.lhelp.SetPage(page)
@@ -95,5 +102,6 @@
         Function to diplay html page related to the hyperlinktext selected
         """
-        self.rhelp.LoadPage("media/modelfunction.html")
+        
+        self.rhelp.LoadPage(self.path)
         
     def OnLinkClicked(self, event):
Index: sansview/setup_exe.py
===================================================================
--- sansview/setup_exe.py	(revision 8cd029b31299997f5126a5276835320d76b8632b)
+++ sansview/setup_exe.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
@@ -91,4 +91,7 @@
 data_files += guiframe.data_files()
 
+import sans.models as models
+data_files += models.data_files()
+
 for f in matplotlibdata:
     dirname = os.path.join('mpl-data', f[len(matplotlibdatadir)+1:])
Index: theoryview/perspectives/theory/help_panel.py
===================================================================
--- theoryview/perspectives/theory/help_panel.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
+++ theoryview/perspectives/theory/help_panel.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
@@ -7,5 +7,5 @@
 
 class HelpWindow(wx.Frame):
-    def __init__(self, parent, id, title='HelpWindow', pageToOpen=None):
+    def __init__(self, parent, id, title= 'HelpWindow', pageToOpen=None):
         wx.Frame.__init__(self, parent, id, title, size=(850, 500))
         """
@@ -27,5 +27,5 @@
         font.SetPointSize(10)
         st.SetFont(font)
-        hbox.Add(st, 1, wx.TOP|wx.BOTTOM|wx.LEFT, 5)
+        hbox.Add(st, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
         header.SetSizer(hbox)
         vbox.Add(header, 0, wx.EXPAND)
@@ -41,38 +41,48 @@
         fontl.SetPointSize(10)
         lst.SetFont(fontl)
-        hboxl.Add(lst, 1, wx.TOP|wx.BOTTOM|wx.LEFT, 5)
+        hboxl.Add(lst, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
         headerl.SetSizer(hboxl)
         vboxl.Add(headerl, 0, wx.EXPAND)
         self.lhelp = html.HtmlWindow(lpanel, -1, style=wx.NO_BORDER)
-        self.rhelp = html.HtmlWindow(rpanel, -1, 
-                                     style=wx.NO_BORDER, size=(500, -1))
-        page1 = """<html>
+        self.rhelp = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER, size=(500,-1))
+        
+        import sans.models as models 
+        # get the media path
+        path = models.get_data_path(media='media')
+        self.path = os.path.join(path,"model_functions.html")
+
+        page1="""<html>
             <body>
              <p>Select topic on Menu</p>
             </body>
             </html>"""
-        page = """<html>
+        page="""<html>
             <body>
             <ul>
-            <li><a href ="media/model_functions.html" target ="showframe">Model Functions</a><br></li>
+            <li><a href ="%s" target ="showframe">Model Functions</a><br></li>
             </ul>
             </body>
-            </html>"""
+            </html>""" % self.path
+        
         self.rhelp.SetPage(page1)
         self.lhelp.SetPage(page)
-        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.OnLinkClicked)
+        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED,self.OnLinkClicked )
+        
         #open the help frame a the current page
-        if  pageToOpen != None:
-            self.rhelp.LoadPage(str(pageToOpen))
-        vbox.Add(self.rhelp, 1, wx.EXPAND)
+        if  pageToOpen!= None:
+            self.rhelp.LoadPage(str( pageToOpen))
+            
+        vbox.Add(self.rhelp,1, wx.EXPAND)
         vboxl.Add(self.lhelp, 1, wx.EXPAND)
         rpanel.SetSizer(vbox)
         lpanel.SetSizer(vboxl)
         lpanel.SetFocus()
+        
         vbox1 = wx.BoxSizer(wx.HORIZONTAL)
-        vbox1.Add(splitter, 1, wx.EXPAND)
+        vbox1.Add(splitter,1,wx.EXPAND)
         splitter.AppendWindow(lpanel, 200)
         splitter.AppendWindow(rpanel)
         self.SetSizer(vbox1)
+       
         self.Centre()
         self.Show(True)
@@ -83,5 +93,5 @@
         
         """
-        self.rhelp.LoadPage("media/modelfunction.html")
+        self.rhelp.LoadPage(self.path)#"media/modelfunction.html")
         
     def OnLinkClicked(self, event):
Index: theoryview/perspectives/theory/model_panel.py
===================================================================
--- theoryview/perspectives/theory/model_panel.py	(revision 946d1b1bf80ce69a36c54a69c4670d58f3a58224)
+++ theoryview/perspectives/theory/model_panel.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
@@ -1,3 +1,3 @@
-
+import os
 import wx
 import wx.lib.newevent
@@ -528,4 +528,8 @@
         """
         from help_panel import  HelpWindow
+        import sans.models as models 
+        # Get models help model_function path
+        path = models.get_data_path(media='media')
+        model_path = os.path.join(path,"model_functions.html")
         
         if self.model == None:
@@ -533,5 +537,5 @@
         else:
             name = self.model.name
-        frame = HelpWindow(None, -1,  pageToOpen="media/model_functions.html")    
+        frame = HelpWindow(None, -1,  pageToOpen=model_path)    
         frame.Show(True)
         if frame.rhelp.HasAnchor(name):
@@ -541,4 +545,5 @@
            msg +="Please.Search in the Help window"
            wx.PostEvent(self.parent, StatusEvent(status = msg ))
+
                      
     def set_range(self, qmin_x, qmax_x, npts):
